info.bioinfweb.jphyloio.formats.nexml

## Enum TokenDefinitionLabelHandling

- java.lang.Object
- - java.lang.Enum<TokenDefinitionLabelHandling>
  - - info.bioinfweb.jphyloio.formats.nexml.TokenDefinitionLabelHandling

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TokenDefinitionLabelHandling>

      public enum TokenDefinitionLabelHandling
      extends java.lang.Enum<TokenDefinitionLabelHandling>

  Instances of this enum can be used as parameter values for `ReadWriteParameterNames.KEY_NEXML_TOKEN_DEFINITION_LABEL_METADATA`. It enumerates ways how the properties `SingleTokenDefinitionEvent.getTokenName()` and `LabeledEvent.getLabel()` are written to NeXML.
  Since:
    0.0.0
  Author:
    Sarah Wiechers, Ben Stöver
  See Also:
    `ReadWriteParameterNames.KEY_NEXML_TOKEN_DEFINITION_LABEL_METADATA`, `NeXMLEventWriter`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Both the label and the token name stored in a `SingleTokenDefinitionEvent` are written as metadata.
    `DISCARDED` The label or the token name stored in a `SingleTokenDefinitionEvent` are written as metadata, if they were not written to the file as the value of an attribute of a state element.
    `NEITHER` Neither the label nor the token name stored in a `SingleTokenDefinitionEvent` are written as metadata.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TokenDefinitionLabelHandling` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TokenDefinitionLabelHandling[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEITHER

          public static final TokenDefinitionLabelHandling NEITHER

      Neither the label nor the token name stored in a `SingleTokenDefinitionEvent` are written as metadata.

    - #### BOTH

          public static final TokenDefinitionLabelHandling BOTH

      Both the label and the token name stored in a `SingleTokenDefinitionEvent` are written as metadata.

    - #### DISCARDED

          public static final TokenDefinitionLabelHandling DISCARDED

      The label or the token name stored in a `SingleTokenDefinitionEvent` are written as metadata, if they were not written to the file as the value of an attribute of a state element.

  - ### Method Detail

    - #### values

          public static TokenDefinitionLabelHandling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TokenDefinitionLabelHandling c : TokenDefinitionLabelHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TokenDefinitionLabelHandling valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null